\NeedsTeXFormat{LaTeX2e}           %% latest stable release of LaTeX
\documentclass[a4paper]{book}

\usepackage[utf8]{inputenc}

\usepackage{mathptmx} %% Change the document font - mathptmx provides Times font (defualt)

\usepackage{amsmath}
\usepackage{xfrac}	%% alternative fraction notation using \sfac

%\usepackage{float} %% better float management

%% Figures
\usepackage{graphicx}              %% Grafiken einbinden (hängt von latex/dvipdf oder pdflatex ab!) || For figures
\usepackage{subfig}                %% Teilgrafiken erlauben || Allows subfigures within one parent figure

%% Tables
\usepackage{booktabs,threeparttable}  %% table with footnotes (see Table 2)
\usepackage[labelfont=bf, labelsep=period]{caption}  %% captions with boldface ``Figure #.'' and ``Table #.'' with period as label seperator

%% citations and references
\usepackage[sort&compress, numbers]{natbib}  %% Vancouver style citations (see also \bibliographystyle{unsrtnat} at end of document)
% \usepackage[sort&compress]{natbib}         %% Harvard style citations (see also \bibliographystyle{kluwer} at end of document)
\setcitestyle{square}                      %% Use [] for citations within text; set to ``round'' to use ()

\usepackage{url}                           %% For citing webpages
\usepackage[hidelinks]{hyperref} %% insert document internal links

%% Scientific units
\usepackage{siunitx}               %% For proper units (e.g. \si{kg.m.s^{-1}}) and numbers (e.g. \num{.3e45})

%% geometry of page
%% vertikal
\setlength{\voffset}{-0.5cm}
\setlength{\textheight}{23cm}
\setlength{\topmargin}{0cm}
\setlength{\headheight}{6mm}
\setlength{\headsep}{1cm}
\setlength{\topskip}{0cm}
\setlength{\footskip}{1cm}
%% horizontal
\setlength{\hoffset}{-0.4cm}
\setlength{\textwidth}{15.5cm}
\setlength{\oddsidemargin}{0.8cm}
\setlength{\evensidemargin}{0.8cm}

\setlength{\parindent}{15pt}        %% kein Einzug bei Paragrafenbeginn || paragraph indentation
  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Hier geht es los || Your document editing starts here

%% Autor und Abgabedatum ändern || Author and Date
\def\autor{FirstName LastName}
\def\datum{01. January 2020}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Titelseite || Title page
\begin{document}

\sloppy
\pagestyle{headings}
\pagenumbering{roman}

\begin{titlepage}
  \begin{minipage}{0.5\textwidth}
	\raggedright 
	\includegraphics[width=8cm]{Logo_HBRS_74mm_Pfade.pdf}
  \end{minipage}
  \hspace{1cm}
  \begin{minipage}{0.5\textwidth}
	\raggedleft 
	%\includegraphics[height=1.2cm]{second_logo.pdf} %% if you want to include a company logo uncomment this
  \end{minipage}
  
  \renewcommand{\baselinestretch}{1.4}\normalsize
  \vspace{2cm}
  \begin{center}

%% einen Typ auswählen
    \begin{Huge}\textbf{Bachelor Thesis / Master Thesis}\end{Huge} \\
    \vspace{0.8cm}
%% einen Studiengang auswählen
    \begin{Large}\textbf{Bachelor of Engineering (B.Eng)}\end{Large} \\
    \begin{Large}\textbf{Master of Mechanical Engineering (M.Eng)}\end{Large} \\

    \vspace{2.2cm}
    \renewcommand{\baselinestretch}{1.2}\normalsize
    \begin{huge}
      \textbf{Thesis Title \\}
    \end{huge}
    \renewcommand{\baselinestretch}{1.5}\normalsize
    \vspace{0.7cm}

    \begin{Large}\textbf{from \autor\ \\}
    \end{Large}
    Matriculation Number \\ ~\\
    \begin{Large}
        \textbf{Department of Electrical Engineering, Mechanical Engineering \\ and Technical Journalism}
    \end{Large}

  \end{center}

  \vspace{5.0cm}

  \begin{large}
    \textbf{
      \begin{tabular}{ll}
      First Supervisor:  & Title FirstName LastName \\
      Second Supervisor: & Title  FirstName LastName \\
                     & \\
      Submitted on: & \datum\ \\ %% or type in: 01. Januar 2017
      \end{tabular}
    }
  \end{large}
\end{titlepage}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Erklärung || Declaration of Academic Integrity

\cleardoublepage
\section*{Declaration of Academic Integrity}

``Ich versichere hiermit, die von mir vorgelegte Arbeit selbstst\"{a}ndig verfasst zu haben. Alle Stellen, die w\"{o}rtlich oder sinngem\"{a}\ss{} aus ver\"{o}ffentlichten oder nicht ver\"{o}ffentlichten Arbeiten anderer entnommen sind, habe ich als entnommen kenntlich gemacht. S\"{a}mtliche Quellen und Hilfsmittel, die ich f\"{u}r die Arbeit benutzt habe, sind angegeben. Die Arbeit hat mit gleichem Inhalt bzw. in wesentlichen Teilen noch keiner anderen Pr\"{u}fungsbeh\"{o}rde vorgelegen.

Mir ist bewusst, dass sich die Hochschule vorbeh\"{a}lt, meine Arbeit auf plagiierte Inhalte hin zu \"{u}berpr\"{u}fen und dass das Auffinden von plagiierten Inhalten zur Nichtigkeit der Arbeit, zur Aberkennung des Abschlusses und zur Exmatrikulation f\"{u}hren kann.''\\

\noindent ``I hereby declare that I have independently written the work that I have submitted. All passages, taken literally or paraphrased from published or unpublished works of others, I have appropriately cited as such. All sources and resources I have used for the submitted work are given. The work has not yet been submitted to any other examination body with the same content or in substantial parts.

I am aware that the university reserves the right to check my work for plagiarized content, and that finding plagiarized content can lead to the dismissal of the work, to the disqualification of the conclusion and to exmatriculation.''

\vspace{2cm}

\begin{minipage}[t]{7cm}
\rule{5cm}{0.1mm}
\flushleft
Location, Date
\end{minipage}
\null\hfill
\begin{minipage}[t]{7cm}
\rule{7cm}{0.1mm}
\flushleft
Signature
\end{minipage}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Dankesagung

\cleardoublepage
\section*{Acknowledgements}
1--2 paragraphs \\

Thank the people who helped you achieve this academic goal.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Zusammenfassung || Abstract

\cleardoublepage
\section*{Abstract}
1 paragraph \\

Summarize your thesis. This is usually done last after you have written the rest
of your thesis.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Content and list of figures and tables

\tableofcontents           %% Table of Contents
\listoffigures             %% List of Figures
\listoftables              %% List of Tables

\cleardoublepage
%% Switch to different style of numbers
\pagenumbering{arabic}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Kapitel 1 || Chapter 1

\chapter{Introduction}
ca. 1-2 Pages

\begin{enumerate}
 \item Summarize the importance of the topic.
 \item State what is the state-of-the-art.
 \item Specify the specific question / hypothesis that you answer / explore. A clear statement of purpose must be given.
\end{enumerate}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Chapter 2

\chapter{Methods and Materials}  %% Remove and Materials if it doesn't apply.
ca. 1-3 Pages

In this section provide enough information that someone could reproduce your work. This could include software and material used.

%% Below are some helpful examples for you to refer to
\section{Section Citations}

%% Indirect and short direct quotations.
Lorem ipsum dolor sit amet, consectetur adipiscing elit \citep[pp. 35-40]{Becker2008}. Donec venenatis ultrices convallis \citep{Jones2013, MilaniSRCL2009}. ``Integer sagittis vel purus nec molestie'' \citep{Jones2013b}. Nullam dictum fermentum egestas. Sed erat sapien, eleifend ut accumsan non, rutrum vel sem. Aenean dignissim velit quis consequat faucibus \citep{OConnorH2009}. Etiam aliquet non tellus vitae tristique. Integer euismod volutpat sem at commodo \citep[see][]{Smith2016}. Pellentesque rhoncus nibh non mauris scelerisque, a fringilla arcu sodales. Curabitur vel libero nec massa lacinia varius \citep[Chap.~2]{R-base}. Morbi non facilisis nisi. Lorem ipsum dolor sit amet, consectetur adipiscing elit \citep{sublime}.

Quisque nisl est , rutrum nec eros facilisis, malesuada scelerisque diam. Quisque dictum suscipit aliquet. Ut faucibus faucibus erat tristique porta. Aenean dictum semper nulla, sit amet facilisis orci venenatis. At vero eos et accusam et justo duo dolores in the following block quote:

%% For direct quotation with multiple sentences - use the quote environment
\begin{quote}
Lorem ipsum dolor sit amet [writing is fun], consetetur sadipscing elitr ... sed diam nonumy eirmod temp [sic] invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. \citep[p. 23]{Smith2016}
\end{quote}

\noindent
Citing an article written by one author \citep{Giddings2008}. \\
Citing an article written by two authors \citep{OConnorH2009}. \\
Citing an article written by three or more authors \citep{BlischakDW2016}. \\
Citing multiple articles for one topic \citep{Giddings2008, OConnorH2009, BlischakDW2016} \\
Citing a book \citep{Becker2008}. \\
Citing an article from a conference proceedings \citep{MilaniSRCL2009}. \\
Citing a chapter within a book \citep{EasterbrookSSD2008}. \\
Citing a master thesis \citep{Smith2016}. \\
Citing a program that has no formal citation, but a webpage \citep{sublime} \\
Citing a webpage \citep{Wikipedia-OganizationalEthics2017}. \\
Citing a personal communication \citep{Jones2013}.

\subsection{Special Author Notations Within a Quote.}

In the above section there is a long quote that is offset from the rest of the writing. This is how presents a long quote, even though there are no quotation marks present. Within that quote there are special notations that the author has added to communicate to the reader. These are the following:
    \begin{itemize}
        \item{} \textbf{[sic]} - indicates something was incorrectly written or said in the original quote\\
        \item{} \textbf{...} - indicates that something is being left out on purpose\\
        \item{} \textbf{[new words]} - indicates that words were inserted, which were not originally present
    \end{itemize}

\section{Section Equations and Lists}
\subsection{Subsubsection -- Equations}

%% Equations using inline mode - not numbered

Math equations can be written within a sentence, and without a corresponding reference number: $E=mc^2$. Or equations can be given in a display mode (Equations \ref{eq.one}--\ref{eq.matrix}) that has a corresponding reference number (see Equation \ref{eq.one}). The equations can become more complex. For example, they can include multiple lines (i.e. split) and alignments (i.e. the \& sign) within the latex code (e.g. Equations \ref{eq.two}--\ref{eq.three} or \ref{eq.main}). \\

%% Note that the equation label is completely up to you.
\begin{equation}
    3\times\frac{1}{2}=1\frac{1}{2}
    \label{eq.one}
\end{equation}

%% Using sfac
\begin{equation}
    3\times\sfrac{1}{2}=1\sfrac{1}{2}
    \label{eq.one}
\end{equation}

%% Alignment equations using &, with mulitple reference numbers
\begin{align}
    f(x) & = x^2 - 5x + 7 \label{eq.two} \\
         & = 2x + 1 \label{eq.three}
\end{align}

%% Use "split" to create multiple lines, align equantion on &, but only report one reference number
\begin{equation}
    \begin{split}
        \Delta E^{CBS}_{e} = & \frac{2}{3} \left( E_{\text{Part1}} - \sum_{1}^{n}  E_{\text{Part2}}^{\frac{1}{2}} \right) + \\
                             & \frac{1}{3} \left( E_{\text{Part3}} - \sum_{1}^{n}  E_{\text{Part4}}^{3} \right)
    \end{split}
    \label{eq.main}
\end{equation}

%% Matrix notation
\begin{equation}
    M=
    \begin{bmatrix}
      1 & 2 & 3 & 4 & 5 \\
      3 & 4 & 5 & 6 & 7
    \end{bmatrix}
    \label{eq.matrix}
\end{equation}

\subsection{Subsection -- List of Items}

\noindent You can have a numeric list, such as the following: 
\begin{enumerate}
 \item First item
 \item Second item
\end{enumerate}

\noindent Or a bullet point list, such as the following: \\ %% Notice the \noindent
\begin{itemize}
 \item First item
 \item Second item
\end{itemize}

\noindent Or a customized list, such as the following:
\begin{description}
 \item[1$^{st}$:] First item
 \item[$\alpha$:] Second item
\end{description}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Chapter 3

\chapter{Results}

In this section present your data, tables and figures. Avoid interpreting the data, since that will come in the next chapter.

\section{ Section Figures}
Images are sometimes good for representing complex information (e.g. Figure \ref{fig:one}).

\begin{figure}[h!]
    \centering
    \captionsetup{justification=centering}
    \includegraphics[height=2cm]{fhlogo}
    \caption{Caption for this figure.}
    \label{fig:one}
\end{figure}

Two pictures can be combined into one figure (e.g. Figure \ref{fig:two}).

\begin{figure}[h!]
    \centering
    \captionsetup{justification=centering}
    \subfloat[Subcaption 1]{\includegraphics[width=0.2\hsize]{fhlogo}}
    \hspace*{0.1\hsize}
    \subfloat[Subcaption 2]{\includegraphics[width=0.2\hsize]{fhlogo}}
    \caption{Caption for this figure.}
    \label{fig:two}
\end{figure}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Chapter 4

\chapter{Discussion}

In this section you should interpret your data, discuss the implications and discuss how the new findings can be used. You might also want to talk about what didn't work, or specific difficulties and how you overcame them.

\section{Section -- Tables}

Simple tables (e.g. Table \ref{tab:example_1}) can be made using the table and tabular commands. The indentations within the \LaTeX{} code itself is only for your ease of reading -- it does not affect the result.

%% Example of a simple table, without any special loaded libraries
\begin{table}[h!]
    \captionsetup{justification=centering}
    \caption{Table one's caption goes above. \\
    And look at what you can do to a very long caption!}
    \label{tab:example_1}
    \centering
    \begin{tabular}[c]{l | cc}
	\toprule
			& \textbf{Header $\alpha$} & \textbf{Header $\beta$}\\
	\midrule
	\textbf{Item 1} & 1.0               & 2.0\\
	\textbf{Item 2} & 1.1               & 2.1\\
	\textbf{Item 3} & 1.2               & 2.2\\
	\textbf{Item 4} & 1.3               & 2.3\\
	\bottomrule
    \end{tabular}
\end{table}

\noindent A more complex table can also be formed (e.g.Table \ref{tab:example_2}).

%% Example of a more complex table, using threeparttable
\begin{table}[!ht]
    \centering
    \begin{threeparttable}
	\captionsetup{font=normalsize,labelfont=bf,labelsep=period}
	\caption{Table two's caption goes above.}
	\label{tab:example2}
	\normalsize
    \label{tab:example_2}
    \begin{tabular}[c]{l | cc || cc}
	\toprule
			& \multicolumn{2}{c ||}{\textbf{Main Header 1\tnote{a}}} & \multicolumn{2}{c}{\textbf{Main Header 2\tnote{b}}}\\
			& \textbf{Subheader $\alpha$} & \textbf{Subheader $\beta$} & \textbf{Subheader $\gamma$} & \textbf{Subheader $\zeta$}\\
	\midrule
	\textbf{Item 1} & 1.0 & 2.0 & 3.0 & 4.0\\
	\textbf{Item 2} & 1.1 & 2.1\\
	\\
			& \multicolumn{2}{c ||}{\textbf{Main Header 3}} & \multicolumn{2}{c}{\textbf{Main Header 4}}\\
			& \textbf{Subheader $\alpha$} & \textbf{Subheader $\beta$} & \textbf{Subheader $\gamma$} & \textbf{Subheader $\zeta$}\\
	\midrule
	\textbf{Item 3} & 1.2 & 2.2 & 3.2 & 4.2\\
	\textbf{Item 4} & 1.3 & 2.3\\
	\bottomrule
    \end{tabular}
	\begin{tablenotes}
	    %\footnotesize
	    \item[a] Footnote one goes here.
	    \item[b] Footnote two goes here.
	\end{tablenotes}
    \end{threeparttable}
\end{table}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Kapitel 5 || Chapter 5

\chapter{Conclusion}
ca. 1-3 paragraph \\

In this section you should summarize your project, its hypothesis or goals, and the findings based on your interpretation of the data. You should also include what the next steps should be to continue the project in the future.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Bibliography

\cleardoublepage
\addcontentsline{toc}{chapter}{Bibliography}

%% Harvard style citations with alphebetically sorted bibliography
%%     Must be used with \usepackage[sort&compress]{natbib} in the document preamble
%\bibliographystyle{kluwer}

%% Vancouver style citations with bibliography sorted by appearance of reference
%%     Must be used with \usepackage[sort&compress,numbers]{natbib} in the document preamble

\bibliographystyle{IEEEtran}  % a common used one in engineering 
% \bibliographystyle{unsrtnat}

\bibliography{literatur}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Appendix

\cleardoublepage
\addcontentsline{toc}{chapter}{Appendix}

\begin{appendix}
\chapter{Appendix Topic A Title}
In this section you can add additional information, helpful scripts/code, tables and figures. Usually this is information elaborates upon or clarifies something within the main body of your thesis. An example of this could be unprocessed data (e.g. x,y,z coordinate in Cartesian space). Consider what could be helpful to the reader and to future students who work on this topic.

% \chapter{Appendix Topic B Title}  %% Use if needed

\end{appendix}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Close document
\end{document}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
